Check Point Advisories

Apache Pluto Chat Room Demo Portlet Persistent Cross-Site Scripting (CVE-2019-0186)

Check Point Reference: CPAI-2019-0593
Date Published: 30 Apr 2019
Severity: Medium
Last Updated: 4 Jun 2019
Source:
Industry Reference:CVE-2019-0186
Protection Provided by:

Security Gateway
R80, R77, R76, R75

Who is Vulnerable? Apache Pluto "Chat Room" demo portlet 3.0.0,
Apache Pluto "Chat Room" demo portlet 3.0.1
Vulnerability Description A cross site scripting vulnerability exists in Apache Pluto. Successful exploitation of this vulnerability would allow a remote attacker to execute arbitrary commands on the affected system.

Protection Overview

This protection detects attempts to exploit this vulnerability.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update.For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R76 / R75

  1. In the IPS tab, click Protections and find the Apache Pluto Chat Room Demo Portlet Persistent Cross-Site Scripting (CVE-2019-0186) protection using the Search tool and Edit the protection's settings.
  2. Install policy on all modules.

This protection's log will contain the following information:

Attack Name:  Application Servers Protection Violation.
Attack Information:  Apache Pluto Chat Room Demo Portlet Persistent Cross-Site Scripting (CVE-2019-0186)

This website uses cookies to ensure you get the best experience. Got it, Thanks! MORE INFO